aboutsummaryrefslogtreecommitdiff
path: root/efl
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 03:16:43 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 03:16:43 +0000
commit3f092c95c4969a70b7faf9f61676f13c8a39101b (patch)
tree1af36a376d5281b3cad76943650f66d72825ea94 /efl
parent259401bf038604003bbf8168d2a5c8bc99dee4af (diff)
downloadslackbuilds-3f092c95c4969a70b7faf9f61676f13c8a39101b.tar.gz
slackbuilds-3f092c95c4969a70b7faf9f61676f13c8a39101b.tar.bz2
added efl
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@441 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'efl')
-rwxr-xr-xefl/ecore/ecore.SlackBuild122
-rw-r--r--efl/ecore/slack-required2
-rwxr-xr-xefl/edb/edb.SlackBuild122
-rwxr-xr-xefl/edje/edje.SlackBuild122
-rw-r--r--efl/edje/slack-required4
-rwxr-xr-xefl/eet/eet.SlackBuild122
-rwxr-xr-xefl/embryo/embryo.SlackBuild122
-rw-r--r--efl/embryo/slack-required3
-rwxr-xr-xefl/emotion/emotion.SlackBuild122
-rwxr-xr-xefl/engrave/engrave.SlackBuild122
-rw-r--r--efl/engrave/slack-required5
-rwxr-xr-xefl/epeg/epeg.SlackBuild122
-rw-r--r--efl/epeg/slack-required5
-rwxr-xr-xefl/epsilon/epsilon.SlackBuild122
-rw-r--r--efl/epsilon/slack-required6
-rwxr-xr-xefl/esmart/esmart.SlackBuild122
-rw-r--r--efl/esmart/slack-required7
-rwxr-xr-xefl/evas/evas.SlackBuild122
-rw-r--r--efl/evas/slack-required1
-rwxr-xr-xefl/ewl/ewl.SlackBuild122
-rw-r--r--efl/ewl/slack-required7
-rw-r--r--efl/exml/slack-required7
-rwxr-xr-xefl/imlib2/imlib2.SlackBuild122
23 files changed, 1633 insertions, 0 deletions
diff --git a/efl/ecore/ecore.SlackBuild b/efl/ecore/ecore.SlackBuild
new file mode 100755
index 00000000..7f1f64f2
--- /dev/null
+++ b/efl/ecore/ecore.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for ecore
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ecore are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="ecore"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/ecore" ]; then
+ cd $SRC_DIR/e17/libs/ecore
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/ecore || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/ecore
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ecore: ecore
+ecore:
+ecore: Ecore is the event/X abstraction layer that makes doing selections,
+ecore: Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
+ecore: optimized, and convenient. It's a separate library so anyone can make
+ecore: use of the work put into Ecore to make this job easy for applications.
+ecore:
+ecore:
+ecore:
+ecore:
+ecore:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/ecore/slack-required b/efl/ecore/slack-required
new file mode 100644
index 00000000..92adf908
--- /dev/null
+++ b/efl/ecore/slack-required
@@ -0,0 +1,2 @@
+eet
+evas
diff --git a/efl/edb/edb.SlackBuild b/efl/edb/edb.SlackBuild
new file mode 100755
index 00000000..925cb2f0
--- /dev/null
+++ b/efl/edb/edb.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for edb
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building edb are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="edb"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/edb" ]; then
+ cd $SRC_DIR/e17/libs/edb
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/edb || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/edb
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+edb: edb
+edb:
+edb: This is a database conveneince library base on db 2.7.7 from
+edb: http://www.sleepycat.com (see src/LICENSE for license details). It is
+edb: intended to make accessing database information portable, easy, fast and
+edb: efficient as well as bypass the proplem of libdb continuously changing
+edb: formats.
+edb:
+edb:
+edb:
+edb:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/edje/edje.SlackBuild b/efl/edje/edje.SlackBuild
new file mode 100755
index 00000000..16f9739c
--- /dev/null
+++ b/efl/edje/edje.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for edje
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building edje are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="edje"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/edje" ]; then
+ cd $SRC_DIR/e17/libs/edje
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/edje || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/edje
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+edje: edje
+edje:
+edje: A graphical layout and animation library for animated resizable,
+edje: compressed and scalable themes.
+edje:
+edje:
+edje:
+edje:
+edje:
+edje:
+edje:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/edje/slack-required b/efl/edje/slack-required
new file mode 100644
index 00000000..1433685b
--- /dev/null
+++ b/efl/edje/slack-required
@@ -0,0 +1,4 @@
+eet
+evas
+ecore
+embryo
diff --git a/efl/eet/eet.SlackBuild b/efl/eet/eet.SlackBuild
new file mode 100755
index 00000000..e2633a61
--- /dev/null
+++ b/efl/eet/eet.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for eet
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building eet are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="eet"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/eet" ]; then
+ cd $SRC_DIR/e17/libs/eet
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/eet || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/eet
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+eet: eet
+eet:
+eet: Eet is a tiny library designed to write an arbitary set of chunks of
+eet: data to a file and optionally compress each chunk (very much like a
+eet: zip file) and allow fast random-access reading of the file later
+eet: on. It does not do zip as a zip itself has more complexity than is
+eet: needed, and it was much simpler to implement this once here.
+eet:
+eet:
+eet:
+eet:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/embryo/embryo.SlackBuild b/efl/embryo/embryo.SlackBuild
new file mode 100755
index 00000000..0d0dce36
--- /dev/null
+++ b/efl/embryo/embryo.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for embryo
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building embryo are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="embryo"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/embryo" ]; then
+ cd $SRC_DIR/e17/libs/embryo
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/embryo || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/embryo
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+embryo: embryo
+embryo:
+embryo: Embryo is primarily a shared library that gives you an API to load and control
+embryo: interpreted programs compiled into an abstract machine bytecode that it
+embryo: understands. This abstract (or virtual) machine is similar to a real machine
+embryo: with a CPU, but it is emulated in software.
+embryo:
+embryo:
+embryo:
+embryo:
+embryo:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/embryo/slack-required b/efl/embryo/slack-required
new file mode 100644
index 00000000..5081839e
--- /dev/null
+++ b/efl/embryo/slack-required
@@ -0,0 +1,3 @@
+eet
+evas
+ecore
diff --git a/efl/emotion/emotion.SlackBuild b/efl/emotion/emotion.SlackBuild
new file mode 100755
index 00000000..4ea864c0
--- /dev/null
+++ b/efl/emotion/emotion.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for emotion
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building emotion are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="emotion"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/emotion" ]; then
+ cd $SRC_DIR/e17/libs/emotion
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/emotion || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/emotion
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+emotion: emotion
+emotion:
+emotion: A media object library for Evas and Ecore
+emotion:
+emotion:
+emotion:
+emotion:
+emotion:
+emotion:
+emotion:
+emotion:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/engrave/engrave.SlackBuild b/efl/engrave/engrave.SlackBuild
new file mode 100755
index 00000000..00be360a
--- /dev/null
+++ b/efl/engrave/engrave.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for engrave
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building engrave are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="engrave"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/engrave" ]; then
+ cd $SRC_DIR/e17/libs/engrave
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/engrave || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/engrave
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+engrave: engrave
+engrave:
+engrave: Engrave is a library for editing the contents of an edje .eet file.
+engrave:
+engrave:
+engrave:
+engrave:
+engrave:
+engrave:
+engrave:
+engrave:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/engrave/slack-required b/efl/engrave/slack-required
new file mode 100644
index 00000000..0086409b
--- /dev/null
+++ b/efl/engrave/slack-required
@@ -0,0 +1,5 @@
+eet
+evas
+ecore
+embryo
+edje
diff --git a/efl/epeg/epeg.SlackBuild b/efl/epeg/epeg.SlackBuild
new file mode 100755
index 00000000..d2ade30a
--- /dev/null
+++ b/efl/epeg/epeg.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for epeg
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building epeg are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="epeg"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/epeg" ]; then
+ cd $SRC_DIR/e17/libs/epeg
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/epeg || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/epeg
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+epeg: epeg
+epeg:
+epeg: Epeg is a library which provides facilities for scaling JPEG images
+epeg: very quickly.
+epeg:
+epeg:
+epeg:
+epeg:
+epeg:
+epeg:
+epeg:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/epeg/slack-required b/efl/epeg/slack-required
new file mode 100644
index 00000000..0086409b
--- /dev/null
+++ b/efl/epeg/slack-required
@@ -0,0 +1,5 @@
+eet
+evas
+ecore
+embryo
+edje
diff --git a/efl/epsilon/epsilon.SlackBuild b/efl/epsilon/epsilon.SlackBuild
new file mode 100755
index 00000000..afd641f2
--- /dev/null
+++ b/efl/epsilon/epsilon.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for epsilon
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building epsilon are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="epsilon"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/epsilon" ]; then
+ cd $SRC_DIR/e17/libs/epsilon
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/epsilon || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/epsilon
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+epsilon: epsilon
+epsilon:
+epsilon: Epsilon is a small, display independent, and quick thumbnailing
+epsilon: library. The lib itself conforms to the standard put forth by
+epsilon: freedesktop.org You can find out more information about it at
+epsilon: http://triq.net/~jens/thumbnail-spec/index.html
+epsilon:
+epsilon:
+epsilon:
+epsilon:
+epsilon:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/epsilon/slack-required b/efl/epsilon/slack-required
new file mode 100644
index 00000000..7722b8eb
--- /dev/null
+++ b/efl/epsilon/slack-required
@@ -0,0 +1,6 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
diff --git a/efl/esmart/esmart.SlackBuild b/efl/esmart/esmart.SlackBuild
new file mode 100755
index 00000000..3e84be86
--- /dev/null
+++ b/efl/esmart/esmart.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for esmart
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building esmart are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="esmart"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/esmart" ]; then
+ cd $SRC_DIR/e17/libs/esmart
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/esmart || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/esmart
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+esmart: esmart
+esmart:
+esmart:
+esmart: Esmart contains "smart" pre-built evas objects. It currently includes
+esmart: a thumbnail generator and a horizontal/vertical container.
+esmart:
+esmart:
+esmart:
+esmart:
+esmart:
+esmart:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/esmart/slack-required b/efl/esmart/slack-required
new file mode 100644
index 00000000..2b3955f5
--- /dev/null
+++ b/efl/esmart/slack-required
@@ -0,0 +1,7 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+epsilon
diff --git a/efl/evas/evas.SlackBuild b/efl/evas/evas.SlackBuild
new file mode 100755
index 00000000..a6e71f85
--- /dev/null
+++ b/efl/evas/evas.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for evas
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building evas are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="evas"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/evas" ]; then
+ cd $SRC_DIR/e17/libs/evas
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/evas || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/evas
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+evas: evas
+evas:
+evas: Evas is a clean display canvas API for several target display systems
+evas: that can draw anti-aliased text, smooth super and sub-sampled scaled
+evas: images, alpha-blend objects much and more.
+evas:
+evas:
+evas:
+evas:
+evas:
+evas:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/evas/slack-required b/efl/evas/slack-required
new file mode 100644
index 00000000..93a9f3bc
--- /dev/null
+++ b/efl/evas/slack-required
@@ -0,0 +1 @@
+eet
diff --git a/efl/ewl/ewl.SlackBuild b/efl/ewl/ewl.SlackBuild
new file mode 100755
index 00000000..eb66f3a9
--- /dev/null
+++ b/efl/ewl/ewl.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for ewl
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ewl are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="ewl"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/ewl" ]; then
+ cd $SRC_DIR/e17/libs/ewl
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/ewl || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/ewl
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ewl: ewl (widget library which uses the E Foundation Libraries)
+ewl:
+ewl: The Enlightened Widget Library (EWL) provides a widget abstraction
+ewl: for creating GUI's using Evas and Edje. The use of Edje allows for
+ewl: easy creation of fairly advanced EWL themes.
+ewl:
+ewl:
+ewl:
+ewl:
+ewl:
+ewl:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/efl/ewl/slack-required b/efl/ewl/slack-required
new file mode 100644
index 00000000..2b3955f5
--- /dev/null
+++ b/efl/ewl/slack-required
@@ -0,0 +1,7 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+epsilon
diff --git a/efl/exml/slack-required b/efl/exml/slack-required
new file mode 100644
index 00000000..2b3955f5
--- /dev/null
+++ b/efl/exml/slack-required
@@ -0,0 +1,7 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+epsilon
diff --git a/efl/imlib2/imlib2.SlackBuild b/efl/imlib2/imlib2.SlackBuild
new file mode 100755
index 00000000..7721288e
--- /dev/null
+++ b/efl/imlib2/imlib2.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for imlib2
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building imlib2 are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="imlib2"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/efl"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/libs/imlib2" ]; then
+ cd $SRC_DIR/e17/libs/imlib2
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/libs/imlib2 || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/libs/imlib2
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+imlib2: imlib2
+imlib2:
+imlib2: This is the Imlib 2 library - a library that does image file loading
+imlib2: and saving as well as rendering, manipulation, arbitrary polygon
+imlib2: support, etc.
+imlib2:
+imlib2:
+imlib2:
+imlib2:
+imlib2:
+imlib2:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+